be.fgov.ehealth.etee.crypto.policies

## Enum OCSPOption

- java.lang.Object
- - java.lang.Enum<OCSPOption>
  - - be.fgov.ehealth.etee.crypto.policies.OCSPOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OCSPOption>

      public enum OCSPOption
      extends java.lang.Enum<OCSPOption>

  This enum lists all the available options involving OCSP.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CERT_STORE` collection of local CRLs and certificates to use for revocation checks.
    `CLOCK_SKEW` Acceptable difference (in millis) in time calculations to prevent clock synchronisation issues.
    `CONNECTION_TIMEOUT` Maximum time (in millis) to setup a connection.
    `CONNECTION_USER_INTERACTION` Flag (true/false) to allow for user interaction.
    `INJECT_RESPONSE` Flag (true/false) to add OSCPResponse to sealed message.
    `OCSP_URI` Endpoint of OCSP Responder.
    `READ_TIMEOUT` Maximum time (in millis) to wait for a response.
    `TRUST_STORE` Truststore with (root) certificates acceptable for OCSP Responders.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OCSPOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OCSPOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OCSP_URI

          public static final OCSPOption OCSP_URI

      Endpoint of OCSP Responder.

    - #### TRUST_STORE

          public static final OCSPOption TRUST_STORE

      Truststore with (root) certificates acceptable for OCSP Responders.

    - #### CERT_STORE

          public static final OCSPOption CERT_STORE

      collection of local CRLs and certificates to use for revocation checks.

    - #### INJECT_RESPONSE

          public static final OCSPOption INJECT_RESPONSE

      Flag (true/false) to add OSCPResponse to sealed message.

    - #### CLOCK_SKEW

          public static final OCSPOption CLOCK_SKEW

      Acceptable difference (in millis) in time calculations to prevent clock synchronisation issues.

    - #### CONNECTION_TIMEOUT

          public static final OCSPOption CONNECTION_TIMEOUT

      Maximum time (in millis) to setup a connection.

    - #### READ_TIMEOUT

          public static final OCSPOption READ_TIMEOUT

      Maximum time (in millis) to wait for a response.

    - #### CONNECTION_USER_INTERACTION

          public static final OCSPOption CONNECTION_USER_INTERACTION

      Flag (true/false) to allow for user interaction.

  - ### Method Detail

    - #### values

          public static OCSPOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OCSPOption c : OCSPOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OCSPOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2021 eHealth. All rights reserved.